Skip to content
Projects
Groups
Snippets
Help
This project
Loading...
Sign in / Register
Toggle navigation
P
plugin
Project
Project
Details
Activity
Cycle Analytics
Repository
Repository
Files
Commits
Branches
Tags
Contributors
Graph
Compare
Charts
Issues
0
Issues
0
List
Board
Labels
Milestones
JIRA
JIRA
Merge Requests
0
Merge Requests
0
CI / CD
CI / CD
Pipelines
Jobs
Schedules
Charts
Wiki
Wiki
Snippets
Snippets
Members
Members
Collapse sidebar
Close sidebar
Activity
Graph
Charts
Create a new issue
Jobs
Commits
Issue Boards
Open sidebar
link33
plugin
Commits
22ac613a
Commit
22ac613a
authored
Oct 12, 2019
by
mdj33
Committed by
vipwzw
Oct 15, 2019
Browse files
Options
Browse Files
Download
Email Patches
Plain Diff
output failed job
parent
5a53ee47
Hide whitespace changes
Inline
Side-by-side
Showing
5 changed files
with
12 additions
and
6 deletions
+12
-6
dapp-test-rpc.sh
build/dapp-test-rpc.sh
+12
-2
test-rpc.sh
plugin/dapp/dposvote/cmd/test/test-rpc.sh
+0
-1
test-rpc.sh
plugin/dapp/guess/cmd/test/test-rpc.sh
+0
-1
test-rpc.sh
plugin/dapp/multisig/cmd/test/test-rpc.sh
+0
-1
test-rpc.sh
plugin/dapp/trade/cmd/test/test-rpc.sh
+0
-1
No files found.
build/dapp-test-rpc.sh
View file @
22ac613a
...
...
@@ -10,14 +10,24 @@ function dapp_test_rpc() {
if
[
-d
dapptest
]
;
then
cp
"
$DAPP_TEST_COMMON
"
dapptest/
cd
dapptest
||
return
rm
-f
"retries.log"
rm
-f
"jobs.log"
dapps
=
$(
find
.
-maxdepth
1
-type
d
!
-name
dapptest
!
-name
.
|
sed
's/^\.\///'
|
sort
)
echo
"dapps list:
$dapps
"
parallel
-k
--retries
3
--joblog
./testlog
'echo tried {} >>./retries.log; ./{}/"'
"
${
RPC_TESTFILE
}
"
'" "'
"
$ip
"
'"'
:::
"
$dapps
"
set
+e
parallel
-k
--retries
3
--joblog
./jobs.log
'echo tried {} >>./retries.log; ./{}/"'
"
${
RPC_TESTFILE
}
"
'" "'
"
$ip
"
'"'
:::
"
$dapps
"
local
ret
=
$?
# retries 3 times if one dapp fail
echo
"============ # retried dapps log: ============="
cat
./retries.log
echo
"============ # check dapps test log: ============="
cat
./testlog
cat
./jobs.log
set
-e
if
[
$ret
-ne
0
]
;
then
exit
1
fi
fi
echo
"============ # dapp rpc test end ============="
}
plugin/dapp/dposvote/cmd/test/test-rpc.sh
View file @
22ac613a
...
...
@@ -14,7 +14,6 @@ CASE_ERR=""
#eventId=""
#txhash=""
init
()
{
ispara
=
$(
echo
'"'
"
${
MAIN_HTTP
}
"
'"'
| jq
'.|contains("8901")'
)
echo
"ipara=
$ispara
"
...
...
plugin/dapp/guess/cmd/test/test-rpc.sh
View file @
22ac613a
...
...
@@ -19,7 +19,6 @@ guess_exec=""
eventId
=
""
txhash
=
""
guess_game_start
()
{
echo
"========== # guess start tx begin =========="
tx
=
$(
curl
-ksd
'{"method":"Chain33.CreateTransaction","params":[{"execer":"guess","actionName":"Start", "payload":{"topic":"WorldCup Final","options":"A:France;B:Claodia","category":"football","maxBetsOneTime":10000000000,"maxBetsNumber":100000000000,"devFeeFactor":5,"devFeeAddr":"1D6RFZNp2rh6QdbcZ1d7RWuBUz61We6SD7","platFeeFactor":5,"platFeeAddr":"1PHtChNt3UcfssR7v7trKSk3WJtAWjKjjX"}}]}'
${
MAIN_HTTP
}
| jq
-r
".result"
)
...
...
plugin/dapp/multisig/cmd/test/test-rpc.sh
View file @
22ac613a
...
...
@@ -8,7 +8,6 @@ MAIN_HTTP=""
# shellcheck source=/dev/null
source
../dapp-test-common.sh
Symbol
=
"BTY"
Asset
=
"coins"
#PrivKeyA="0x06c0fa653c719275d1baa365c7bc0b9306447287499a715b541b930482eaa504"
...
...
plugin/dapp/trade/cmd/test/test-rpc.sh
View file @
22ac613a
...
...
@@ -11,7 +11,6 @@ tradeAddr="12qyocayNF7Lv6C9qW4avxs2E7U41fKSfv"
tradeBuyerAddr
=
"1CvLe1qNaC7tCf5xmfAqJ9UJkMhtmhUKNg"
tokenSymbol
=
"TOKEN"
function
updateConfig
()
{
unsignedTx
=
$(
curl
-s
--data-binary
'{"jsonrpc":"2.0","id":2,"method":"Chain33.CreateTransaction","params":[{"execer": "manage","actionName":"Modify","payload":{ "key": "token-blacklist","value": "BTY","op": "add","addr": ""}}]}'
-H
'content-type:text/plain;'
${
MAIN_HTTP
}
| jq
-r
".result"
)
if
[
"
${
unsignedTx
}
"
==
""
]
;
then
...
...
Write
Preview
Markdown
is supported
0%
Try again
or
attach a new file
Attach a file
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Cancel
Please
register
or
sign in
to comment